part of 'barangay_bloc.dart';

abstract class BarangayState extends Equatable {
  const BarangayState();

  @override
  List<Object> get props => [];
}

class BarangayInitial extends BarangayState {}

class BarangayLoading extends BarangayState {}

class BarangayLoaded extends BarangayState {
  BarangayLoaded(this.brgy);
  final List<Brgy> brgy;

  @override
  List<Object> get props => [brgy];
}

class BarangayErrorState extends BarangayState {
  BarangayErrorState(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
